/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-cli/cli-api/src/java/com/sun/cli/jmx/cmd/CountCmd.java,v 1.3 2005/12/25 03:45:33 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:45:33 $
 */
 
package com.sun.cli.jmx.cmd;

import com.sun.cli.jmx.support.CLISupportMBeanProxy;

/*
	Invokes the 'list' commmand on all specified targets
 */
public class CountCmd extends JMXCmd
{
		public
	CountCmd( final CmdEnv env )
	{
		super( env );
	}

		int
	getNumRequiredOperands()
	{
		return( 0 );
	}
	
		public String
	getUsage()
	{
		return( CmdStrings.COUNT_HELP.toString() );
	}
	
	static private final String OPTIONS_INFO	="";
	
		ArgHelper.OptionsInfo
	getOptionInfo()
		throws ArgHelper.IllegalOptionException
	{
		return( new ArgHelperOptionsInfo( OPTIONS_INFO ) );
	}
	
	final static String	NAME		= "count";
	
		public static String []
	getNames( )
	{
		return( new String [] { NAME } );
	}
	
		void
	executeInternal()
		throws Exception
	{
		final String [] operands	= getOperands();
		
		if ( operands.length != 0 )
		{
			final String	msg	= "No arguments required";
			printError( msg  );
			throw new IllegalArgumentException( msg );
		}
		
		try
		{
			establishProxy();
			final int numMBeans	= getProxy().mbeanCount();
			println( "" + numMBeans );
		}
		catch( Exception e )
		{	
			dm( e.getMessage() );
			e.printStackTrace();
		}
	}
}






